select
     pe.cdanimal as "cd_animal_interno_ideagri"
    , an.seriealfa as "Srie"
    , an.rgn as "RGN"
    , an.regassocraca as "RGD"
    , an.nome as "Nome resumido"
    , an.nomecompleto as "Nome completo"
    , an.sexo as "Sexo" 
    , lpad(extract(day from an.dtnascimento),2 ,0) || '/' || lpad(extract(month from an.dtnascimento),2,0) || '/' || extract(year from an.dtnascimento) as "Data Nascimento"
    , lpad(extract(day from an.dtdesmama),2 ,0) || '/' || lpad(extract(month from an.dtdesmama),2,0) || '/' || extract(year from an.dtdesmama) as "Data Desmama"
    , lpad(extract(day from pe.dtpeso),2,0) || '/' || lpad(extract(month from pe.dtpeso),2,0) || '/' || extract(year from pe.dtpeso) as "Data Peso"
    , (select otexto from sp_strreplace(pe.peso, '.', ',')) as "Peso"
    , coalesce(gmantes1.descricao, gmdepois1.descricao) as "Grupo de manejo"
    , coalesce(raantes1.descricao, radepois1.descricao) as "Regime alimentar"
from
    peso pe
    left join animal an on an.cdanimal = pe.cdanimal
    left join graucruzamento grau on grau.cdgraucruzamento = an.cdgraucruzamento
    left join movgrupo mgantes1 on mgantes1.cdmovgrupo =
        (select first 1 re.cdmovgrupo from movgrupo re join movgrupoanimal rea on rea.cdmovgrupo = re.cdmovgrupo where
            rea.cdanimal = pe.cdanimal and re.cdtipogrupoanimal = any (select cdtipogrupoanimal from tipogrupoanimal where padrao = 2)
                                and re.dtmovimentacao <= pe.dtpeso order by re.dtmovimentacao desc)
    left join grupoanimal gmantes1 on gmantes1.cdgrupoanimal = mgantes1.cdgrupoanimal
    left join regimealimentar raantes1 on raantes1.cdregimealimentar = gmantes1.cdregimealimentar
    left join movgrupo mgdepois1 on mgdepois1.cdmovgrupo =
        (select first 1 re.cdmovgrupo from movgrupo re join movgrupoanimal rea on rea.cdmovgrupo = re.cdmovgrupo where
            rea.cdanimal = pe.cdanimal and re.cdtipogrupoanimal = any (select cdtipogrupoanimal from tipogrupoanimal where padrao = 2)
                                and re.dtmovimentacao > pe.dtpeso order by re.dtmovimentacao asc)
    left join grupoanimal gmdepois1 on gmdepois1.cdgrupoanimal = mgdepois1.cdgrupoanimal
    left join regimealimentar radepois1 on radepois1.cdregimealimentar = gmdepois1.cdregimealimentar
where 1 = 1
 and pe.cdtipopeso not in (1,2)
 and an.dtbaixa is null
 and an.tipoanimal = 'A'
 and an.animalrebanho = '1'
--- ATENO - INFORMAR OS CDIGOS DOS SETORES DESEJADOS
 and an.cdsetor in (109, 201,208)
--- ESTA CONSULTA EST VOLTANDO APENAS NELORE E NELORE MOCHO
  and  (select percentual from animalraca where an.cdanimal = cdanimal and cdraca in (445,450)) = 100
--- and an.seriealfa in ('')
--- ATENO A DATA DE NASCIMENTO TEM QUE SER AJUSTADA FORMATO MM-DD-AAAA
and an.dtnascimento<'01-01-2018'
order by 2,3,1,10